> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create discount codes

> Create up to 1.000 discount codes for a discount. The codes are generated based on the syntax provided.



## OpenAPI

````yaml post /discounts/{discountId}/codes
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /discounts/{discountId}/codes:
    post:
      tags:
        - Discounts
      summary: Create discount codes
      description: >-
        Create up to 1.000 discount codes for a discount. The codes are
        generated based on the syntax provided.
      parameters:
        - name: discountId
          in: path
          description: Id of discount to associate the discount codes.
          required: true
          schema:
            type: string
            format: uuid
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Request body.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDiscountCodesRequest'
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    CreateDiscountCodesRequest:
      required:
        - numberOfCodes
      type: object
      properties:
        syntax:
          type: string
          description: >-
            Specifies a syntax to build each code around. Example 'ABC-{code}'
            will generate codes like 'ABC-a1g2e3g4'.
          nullable: true
        numberOfCodes:
          type: integer
          description: >-
            Number of codes to generate, between 1 and 1.000. Call endpoint to
            generate more codes.
          format: int32
        usageLimit:
          type: integer
          description: >-
            Maximum amount of times this discount code. This is an overall
            limit, rather than a per-customer limit.
          format: int32
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````